from common.mysql_db import MysqlHelper
from datetime import datetime


class sqlCollect():
    """查询该账号是否存在"""
    @classmethod
    def select_ad_list(cls):
        # 获取当前日期和时间
        current_date = datetime.now()
        formatted_date = current_date.strftime("%Y-%m-%d")
        sql = """SELECT `ad_id` ,`creative_code` , `creative_title` ,`material_address` , `click_button_text` ,`creative_logo_address`,`update_time` FROM `creative`  WHERE `update_time` >=  %s"""
        data = MysqlHelper.get_values(sql,formatted_date)
        if data:
            return data
        return None